## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseTable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PersistentTable, SQLObject, SybaseAuthorizedObject, SybaseBaseTable, Table

All Known Subinterfaces:
  SybaseASABaseProxyTable, SybaseASATable

All Known Implementing Classes:
  SybaseASABaseProxyTableImpl, SybaseASABaseTableImpl, SybaseASACatalogBaseProxyTable, SybaseASACatalogTable, SybaseASATableImpl

    public interface SybaseASABaseTable

extends PersistentTable, SybaseBaseTable

A representation of the model object 'Sybase ASA Base Table'.

The following features are supported:

- `Db Space`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseTable()`

Method Summary
`SybaseASABaseDBSpace` `getDbSpace()` Returns the value of the 'Db Space' reference.
`void` `setDbSpace(SybaseASABaseDBSpace value)` Sets the value of the '`Db Space`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDbSpace

    SybaseASABaseDBSpace getDbSpace()

  Returns the value of the 'Db Space' reference.

  If the meaning of the 'Db Space' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Db Space' reference.
  See Also:
    `setDbSpace(SybaseASABaseDBSpace)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTable_DbSpace()`

### setDbSpace

    void setDbSpace(SybaseASABaseDBSpace value)

  Sets the value of the '`Db Space`' reference.

  Parameters:
    `value` - the new value of the 'Db Space' reference.
  See Also:
    `getDbSpace()`